package com.vaadin.incubator.dashlayout.ui;

import com.vaadin.terminal.PaintException;
import com.vaadin.terminal.PaintTarget;
import com.vaadin.ui.ClientWidget;
import com.vaadin.ui.VerticalLayout;

@SuppressWarnings("serial")
@ClientWidget(com.vaadin.incubator.dashlayout.client.ui.VDashLayout.class)
public class DashLayout extends VerticalLayout {

    public enum Orientation {
        VERTICAL, HORIZONTAL
    }

    private Orientation orientation = Orientation.VERTICAL;

    public DashLayout() {

    }

    public DashLayout(Orientation orientation) {
        this.orientation = orientation;
    }

    @Override
    public void paintContent(PaintTarget target) throws PaintException {
        if (orientation == Orientation.HORIZONTAL) {
            target.addAttribute("horizontal", true);
        }
        super.paintContent(target);
    }

}
